import request from '@/utils/request'

// 移交公安情况
export function getPolice(params = {}) {
  return request({
    url: '/item/largeScreen/police',
    method: 'get',
    params
  })
}
// 故意隐匿情况
export function getConceal(params = {}) {
  return request({
    url: '/item/largeScreen/conceal',
    method: 'get',
    params
  })
}
//查获类别分布
export function getCategory(params = {}) {
  return request({
    url: '/item/largeScreen/category',
    method: 'get',
    params
  })
}

//查获岗位分布
export function getPost(params = {}) {
  return request({
    url: '/item/largeScreen/post',
    method: 'get',
    params
  })
} 

//查获总数量+移交公安数量+故意隐匿数量
export function getTotalSome(params = {}) {
  return request({
    url: '/item/largeScreen/getTotalSome',
    method: 'get',
    params
  })
}
//查获排名
export function getRank(params = {}) {
  return request({
    url: '/item/largeScreen/rank',
    method: 'get',
    params
  })
}
//查获时段分布
export function getTimeSpan(params = {}) {
  return request({
    url: '/item/largeScreen/timeSpan',
    method: 'get',
    params
  })
}
//查获位置分布
export function getPosition(params = {}) {
  return request({
    url: '/item/largeScreen/position',
    method: 'get',
    params
  })
}
//查获通道分布
export function getChannel(params = {}) {
  return request({
    url: '/item/largeScreen/channel',
    method: 'get',
    params
  })
}






// 新增检查记录
export function addCheckRecord(data) {
  return request({
    url: '/check/checkRecord',
    method: 'post',
    data: data
  })
}

// 查询我的任务列表（当天有效任务）shudong
export function getHomePage(params) {
  return request({
    url: '/check/largeScreen/homePage',
    method: 'get',
    params: params
  })
}
//获取查获上报数据  xiaoxiong
export function getSeizureReport(params) {
  return request({
    url: '/system/check/seizureReport/data',
    method: 'get',
    params: params
  })
}

//获取考勤统计数据   binge
export function getAttendanceStats(params) {
  return request({
    url: '/attendance/stats/getAttendanceStats',
    method: 'get',
    params: params
  })
}

//抽问抽答，首页   binge
export function getAccuracyStatistics(params) {
  return request({
    url: '/exam/daily/accuracy-statistics',
    method: 'get',
    params: params
  })
}

//根据角色获取查获排名  xiaoxiong
export function getSeizureRanking(data) {
  return request({
    url: '/item/seizure/ranking/getRankingByRole',
    method: 'post',
    data: data
  })
}


//获取检查排名  shudong
export function getCheckRanking(params) {
  return request({
    url: '/system/homePage/homePageRanking',
    method: 'get',
    params: params
  })
}

//首页-整体   shudong binge xiaoxiong
export function getHomePageWhole(params) {
  return request({
    url: '/system/homePage/homePageWhole',
    method: 'get',
    params: params
  })
}
//首页-明细（能力对比） shudong binge xiaoxiong
export function getHomePageDetail(data) {
  return request({
    url: '/system/homePage/homePageDetail',
    method: 'post',
    data: data
  })
}

//根据角色标识查询今日上岗用户列表
export function selectUserListByRoleKey(data) {
  return request({
    url: '/attendance/postRecord/selectUserListByRoleKey',
    method: 'post',
    data: data
  })
}

//首页报表-下载
export function getHomeReportDownload(params) {
  return request({
    url: '/system/homeReport/download',
    method: 'get',
    params: params,
    responseType: 'blob'
  })
}
